CertificateEncodingException (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: javax.security.cert, class: CertificateEncodingException
Keywords: javax.security.cert.CertificateEncodingException class

Module java.base
Package javax.security.cert

# Class CertificateEncodingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.security.cert.CertificateException
javax.security.cert.CertificateEncodingException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="9", forRemoval=true) public class CertificateEncodingException extends CertificateException
Deprecated, for removal: This API element is subject to removal in a future version.
Use the classes in `java.security.cert` instead.
Certificate Encoding Exception. This is thrown whenever an error occurs whilst attempting to encode a certificate.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateEncodingException()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a CertificateEncodingException with no detail message.
  `CertificateEncodingException(String message)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a CertificateEncodingException with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CertificateEncodingException

    public CertificateEncodingException()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a CertificateEncodingException with no detail message. A detail message is a String that describes this particular exception.

  - ### CertificateEncodingException

    public CertificateEncodingException(String message)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a CertificateEncodingException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `message` - the detail message.